Bug 867522 - [RHEVM-SDK] remove rhevm-sdk internals documentation from development guide
[RHEVM-SDK] remove rhevm-sdk internals documentation from development guide
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Stephen Gordon
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 12:09 EDT by Michael Pasternak
Modified: 2014-03-25 03:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 12:25:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2012-10-17 12:09:23 EDT
Description of problem:

rhevm-sdk development guide documents sdk internals [1], what can lead
to user incorrect development cycle/sdk functionality issues caused by reusing internals/security issues, only [2] module should be documented, all the rest should be removed ASAP.

[1] https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Enterprise_Virtualization/3.1-Beta/html/Developer_Guide/files/ovirtsdk.infrastructure.brokers.html

[2] ovirtsdk.infrastructure.brokers

thanks
Comment 1 Stephen Gordon 2012-10-17 14:26:57 EDT
This should appear in the next build. The only complication was that it was also necessary to scrub the links in the file that is being kept (easily done with sed).

Note You need to log in before you can comment on or make changes to this bug.